Subject: [Syslog] I-D Action:draft-ietf-syslog-transport-tls-14.txt

From: [email-masked]
Date: Wed, 1 Oct 2008 10:45:02 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Security Issues in Network Event Logging Working Group of the IETF.

	Title           : TLS Transport Mapping for Syslog
	Author(s)       : M. Fuyou, et al.
	Filename        : draft-ietf-syslog-transport-tls-14.txt
	Pages           : 15
	Date            : 2008-10-01

This document describes the use of Transport Layer Security (TLS) to
provide a secure connection for the transport of syslog messages.
This document describes the security threats to syslog and how TLS
can be used to counter such threats.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-syslog-transport-tls-14.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Syslog mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/syslog

---

From: Badra <[email-masked]>
Date: Wed, 1 Oct 2008 22:40:56 +0200

Hi,

In section 4.4, the following text was removed:

   When the client has received the close_notify alert from the server and
   still has pending data to send, it SHOULD send the pending data before
   sending the close_notify alert.
In RFC 5256, Section 7.2.1:

   The other party MUST respond with a close_notify alert of its own and
   close down the connection immediately, discarding any pending writes.

The actual version doesn't discuss what will happen to the pending writes.
Please clarify which of the above two texts is applied. I guess the second,
right?

Best regards
Badra

2008/10/1 <[email-masked]>

---

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Wed, 1 Oct 2008 13:58:50 -0700

Yes, we removed the text that conflicted with 5246 so now all that
applies is 5246.  

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Badra
> Sent: Wednesday, October 01, 2008 1:41 PM
> To: [email-masked]
> Subject: Re: [Syslog] I-D 
> Action:draft-ietf-syslog-transport-tls-14.txt
> 
> Hi,
>  
> The actual version doesn't discuss what will happen to the 
> pending writes. Please clarify which of the above two texts 
> is applied. I guess the second, right?
>  
> Best regards
> Badra
>  
> 
>  
> 	This draft is a work item of the Security Issues in 
> Network Event Logging Working Group of the IETF.
> 	
>